import type { TerminalPilotCommandServices } from "./runtime.js";
export declare const uninstall: import("../../../toolcraft/dist/index.js").Command<TerminalPilotCommandServices, import("../../../toolcraft/dist/index.js").ObjectSchema<{
    readonly agent: import("../../../toolcraft/dist/index.js").EnumSchema<[string, ...string[]]>;
}>, undefined, {
    agent: string;
    removedSkillPaths: string[];
}> & {
    readonly __agentKitCommandTypeInfo: import("../../../toolcraft/dist/index.js").CommandTypeInfo<"uninstall", import("../../../toolcraft/dist/index.js").ObjectSchema<{
        readonly agent: import("../../../toolcraft/dist/index.js").EnumSchema<[string, ...string[]]>;
    }>, {
        agent: string;
        removedSkillPaths: string[];
    }, readonly ["cli"], undefined>;
};
